# $Revision: 1.43 $, $Date: 2011/10/04 12:45:57 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Scalar
%define		pnam	List-Utils
Summary:	List::Util and Scalar::Util - selection of general-utility scalar subroutines
Summary(pl.UTF-8):	List::Util i Scalar::Util - wybór procedur skalarnych ogólnego zastosowania
Name:		perl-Scalar-List-Utils
Version:	1.23_03
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Scalar/GBARR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2e7eb6669cdf4b407b7e262aaa0cb10b
URL:		http://search.cpan.org/dist/Scalar-List-Utils/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a selection of subroutines that people have
expressed would be nice to have in the perl core, but the usage would
not really be high enough to warrant the use of a keyword, and the
size so small such that being individual extensions would be wasteful.

%description -l pl.UTF-8
Ten pakiet zawiera wybrane procedury, które według niektórych ludzi
powinny znaleźć się w głównym pakiecie Perla, ale użyteczność nie jest
zbyt duża, a rozmiar za mały na tworzenie oddzielnych rozszerzeń.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL -xs \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/List
%{perl_vendorarch}/List/Util.pm
%dir %{perl_vendorarch}/List/Util
%{perl_vendorarch}/List/Util/*.pm
%dir %{perl_vendorarch}/Scalar
%{perl_vendorarch}/Scalar/Util.pm
%dir %{perl_vendorarch}/auto/List
%dir %{perl_vendorarch}/auto/List/Util
%attr(755,root,root) %{perl_vendorarch}/auto/List/Util/Util.so
%{perl_vendorarch}/auto/List/Util/Util.bs
%{_mandir}/man3/List::Util*.3pm*
%{_mandir}/man3/Scalar::Util.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Scalar-List-Utils.spec,v $
Revision 1.43  2011/10/04 12:45:57  lisu
- rel 3

Revision 1.42  2011/06/26 19:43:08  arekm
- release 2

Revision 1.41  2011/02/20 19:52:12  qboosh
- updated to 1.23_03

Revision 1.40  2010/11/12 23:16:22  pawelz
- release 3

Revision 1.39  2010/06/06 00:29:10  radek
- switch Source0 to by-authors index

Revision 1.38  2010/06/05 23:59:20  radek
- version 1.23

Revision 1.37  2009/09/11 10:14:37  amateja
- updated to 1.21

Revision 1.36  2009/03/13 20:18:34  hawk
- release 2

Revision 1.35  2008/03/02 15:22:38  qboosh
- generic URL

Revision 1.34  2008-03-02 15:14:15  radek
- version 1.19

Revision 1.33  2008-02-10 12:18:41  arekm
- rel 2

Revision 1.32  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.31  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.29  2006/02/15 22:16:05  glen
- STBR

Revision 1.28  2006/02/13 17:30:31  migo
- up to 1.18

Revision 1.27  2004/12/03 14:25:34  radek
- readded commit message removed by "cvs diff -r... ...|patch -R"

Revision 1.26  2004/12/03 14:08:11  radek
- reverted, it was a downgrade

Revision 1.25  2004/12/03 14:06:18  radek
- autoupdated to 1.0701

Revision 1.24  2004/11/03 22:30:42  paladine
- formatting

Revision 1.23  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.22  2004/05/23 23:24:24  adamg
- updated to 1.14

Revision 1.21  2004/05/06 18:43:22  ankry
- fixed perl-devel BR

Revision 1.20  2004/05/02 08:28:25  ankry
- license fixed, cosmetics

Revision 1.19  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.18  2003/11/01 00:25:59  qboosh
- added tests

Revision 1.17  2003/09/29 17:52:35  adamg
- updated to 1.13

Revision 1.16  2003/09/18 13:21:09  adamg
- updated to 1.12

Revision 1.15  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.11  2003/03/01 20:46:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.10  2003/02/28 10:08:30  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.9  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.8  2003/02/19 22:42:38  ankry
- autoupdated to 1.11

Revision 1.7  2003/02/18 15:38:03  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/01/15 18:30:48  mis
- autoupdated to 1.09

Revision 1.5  2002/11/28 18:11:05  mis
- autoupdated to 1.08

Revision 1.4  2002/07/24 00:23:18  ankry
- added dirs: %{perl_sitearch}/List, %{perl_sitearch}/Scalar and
  %{perl_sitearch}/auto/List
- release 2

Revision 1.3  2002/07/23 11:00:12  qboosh
- added Date, pl description and OPTIMIZE

Revision 1.2  2002/07/23 01:34:57  radek
- it's not noarch...

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
